package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "medical_records")
public class MedicalRecords {
    @Id
    private Integer id;

    /**
     * 用户id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * 手机号
     */
    @Column(name = "mobile", nullable = false)
    private String mobile;

    /**
     * 医生id
     */
    @Column(name = "doctor_id", nullable = false)
    private Integer doctorId;

    /**
     * 病历类型
     */
    @Column(name = "type", nullable = false)
    private Integer type;

    /**
     * 性别
     */
    @Column(name = "sex", nullable = false)
    private Integer sex;

    /**
     * 年龄
     */
    @Column(name = "age", nullable = false)
    private Integer age;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 修改时间
     */
    @Column(name = "update_time", nullable = false)
    private Date updateTime;

    /**
     * 主诉
     */
    @Column(name = "chief_complaint")
    private String chiefComplaint;

    /**
     * 诊断
     */
    @Column(name = "diagnosis")
    private String diagnosis;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    /**
     * 就诊流水号
     */
    @Column(name = "clinic_code")
    private String clinicCode;

    /**
     * 患者入院日期
     */
    @Column(name = "adm_time")
    private String admTime;

    /**
     * 医院名称
     */
    @Column(name = "hospital_name")
    private String hospitalName;

    /**
     * 医生姓名
     */
    @Column(name = "doctor_name")
    private String doctorName;

    /**
     * 姓名
     */
    @Column(name = "patient_name")
    private String patientName;

    /**
     * 体格检查
     */
    @Column(name = "phy_exam")
    private String phyExam;

    /**
     * 意见
     */
    @Column(name = "suggestion")
    private String suggestion;

    /**
     * 门急诊医嘱
     */
    @Column(name = "advice")
    private String advice;

    /**
     * 病历类型名称（医生输入）
     */
    @Column(name = "type_name")
    private String typeName;

    /**
     * 患者id
     */
    @Column(name = "patient_id")
    private Integer patientId;

    /**
     * 就诊卡Id
     */
    @Column(name = "medical_card_id")
    private Integer medicalCardId;

    /**
     * 医生职称
     */
    @Column(name = "doctor_title")
    private String doctorTitle;

    /**
     * 科室名称
     */
    @Column(name = "dept_name")
    private String deptName;

    /**
     * 医院id
     */
    @Column(name = "hospital_id")
    private Integer hospitalId;

    /**
     * 现病史
     */
    @Column(name = "present_history")
    private String presentHistory;

    /**
     * 既往史
     */
    @Column(name = "past_history")
    private String pastHistory;

    /**
     * 过敏史
     */
    @Column(name = "allergic_history")
    private String allergicHistory;

    /**
     * 个人史
     */
    @Column(name = "personal_history")
    private String personalHistory;

    /**
     * 病人体温
     */
    @Column(name = "body_temperature")
    private Double bodyTemperature;

    /**
     * 辅助检查
     */
    @Column(name = "accessory_examination")
    private String accessoryExamination;

    /**
     * 专科情况
     */
    @Column(name = "special_condition")
    private String specialCondition;

    /**
     * 单病种，1-是，0-否
     */
    @Column(name = "single")
    private Integer single;

    /**
     * 病人去向
     */
    @Column(name = "disposition")
    private Integer disposition;

    /**
     * 抢救病人
     */
    @Column(name = "treatment_case")
    private Integer treatmentCase;

    /**
     * 是否抢救成功
     */
    @Column(name = "treatment_status")
    private Integer treatmentStatus;

    /**
     * 发病时间
     */
    @Column(name = "disease_time")
    private Date diseaseTime;

    /**
     * 病情评估
     */
    @Column(name = "disease_evaluation")
    private String diseaseEvaluation;

    /**
     * ICD编码
     */
    @Column(name = "icd_code")
    private String icdCode;

    /**
     * 处置
     */
    @Column(name = "management")
    private String management;

    /**
     * HIS系统患者ID（门诊号）
     */
    @Column(name = "his_patient_id")
    private String hisPatientId;

    /**
     * 身份证号
     */
    @Column(name = "id_no")
    private String idNo;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getChiefComplaint() {
        return chiefComplaint;
    }

    public void setChiefComplaint(String chiefComplaint) {
        this.chiefComplaint = chiefComplaint;
    }

    public String getDiagnosis() {
        return diagnosis;
    }

    public void setDiagnosis(String diagnosis) {
        this.diagnosis = diagnosis;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public String getClinicCode() {
        return clinicCode;
    }

    public void setClinicCode(String clinicCode) {
        this.clinicCode = clinicCode;
    }

    public String getAdmTime() {
        return admTime;
    }

    public void setAdmTime(String admTime) {
        this.admTime = admTime;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getPhyExam() {
        return phyExam;
    }

    public void setPhyExam(String phyExam) {
        this.phyExam = phyExam;
    }

    public String getSuggestion() {
        return suggestion;
    }

    public void setSuggestion(String suggestion) {
        this.suggestion = suggestion;
    }

    public String getAdvice() {
        return advice;
    }

    public void setAdvice(String advice) {
        this.advice = advice;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Integer getPatientId() {
        return patientId;
    }

    public void setPatientId(Integer patientId) {
        this.patientId = patientId;
    }

    public Integer getMedicalCardId() {
        return medicalCardId;
    }

    public void setMedicalCardId(Integer medicalCardId) {
        this.medicalCardId = medicalCardId;
    }

    public String getDoctorTitle() {
        return doctorTitle;
    }

    public void setDoctorTitle(String doctorTitle) {
        this.doctorTitle = doctorTitle;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getPresentHistory() {
        return presentHistory;
    }

    public void setPresentHistory(String presentHistory) {
        this.presentHistory = presentHistory;
    }

    public String getPastHistory() {
        return pastHistory;
    }

    public void setPastHistory(String pastHistory) {
        this.pastHistory = pastHistory;
    }

    public String getAllergicHistory() {
        return allergicHistory;
    }

    public void setAllergicHistory(String allergicHistory) {
        this.allergicHistory = allergicHistory;
    }

    public String getPersonalHistory() {
        return personalHistory;
    }

    public void setPersonalHistory(String personalHistory) {
        this.personalHistory = personalHistory;
    }

    public Double getBodyTemperature() {
        return bodyTemperature;
    }

    public void setBodyTemperature(Double bodyTemperature) {
        this.bodyTemperature = bodyTemperature;
    }

    public String getAccessoryExamination() {
        return accessoryExamination;
    }

    public void setAccessoryExamination(String accessoryExamination) {
        this.accessoryExamination = accessoryExamination;
    }

    public String getSpecialCondition() {
        return specialCondition;
    }

    public void setSpecialCondition(String specialCondition) {
        this.specialCondition = specialCondition;
    }

    public Integer getSingle() {
        return single;
    }

    public void setSingle(Integer single) {
        this.single = single;
    }

    public Integer getDisposition() {
        return disposition;
    }

    public void setDisposition(Integer disposition) {
        this.disposition = disposition;
    }

    public Integer getTreatmentCase() {
        return treatmentCase;
    }

    public void setTreatmentCase(Integer treatmentCase) {
        this.treatmentCase = treatmentCase;
    }

    public Integer getTreatmentStatus() {
        return treatmentStatus;
    }

    public void setTreatmentStatus(Integer treatmentStatus) {
        this.treatmentStatus = treatmentStatus;
    }

    public Date getDiseaseTime() {
        return diseaseTime;
    }

    public void setDiseaseTime(Date diseaseTime) {
        this.diseaseTime = diseaseTime;
    }

    public String getDiseaseEvaluation() {
        return diseaseEvaluation;
    }

    public void setDiseaseEvaluation(String diseaseEvaluation) {
        this.diseaseEvaluation = diseaseEvaluation;
    }

    public String getIcdCode() {
        return icdCode;
    }

    public void setIcdCode(String icdCode) {
        this.icdCode = icdCode;
    }

    public String getManagement() {
        return management;
    }

    public void setManagement(String management) {
        this.management = management;
    }

    public String getHisPatientId() {
        return hisPatientId;
    }

    public void setHisPatientId(String hisPatientId) {
        this.hisPatientId = hisPatientId;
    }

    public String getIdNo() {
        return idNo;
    }

    public void setIdNo(String idNo) {
        this.idNo = idNo;
    }
}
